# Common Issues

## List of common issue

<details>

<summary>Illegal mix of collations</summary>

Ensure that the collations of the mdt table match those of your players/users. The error message at the bottom will indicate the correct collation for the mdt tables. To fix the issue, run the following sql: (***make sure the COLLATE below is the same as youre users COLLATE***)

\*utf8mb4 COLLATE utf8mb4\_unicode\_ci;\* must match what you have on you're players/users table check that first that can be aything even \`utf8mb4\_turkish\_ci\`  or anything else.

it show in the error message in server console.\
ther will be 2 displayed.

#### collation updates:

```sql
ALTER TABLE mdt_gallery CONVERT TO CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE mdt_incidents CONVERT TO CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE mdt_evidences CONVERT TO CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE mdt_warrants CONVERT TO CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE mdt_bolos CONVERT TO CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE mdt_weapons CONVERT TO CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE mdt_tags CONVERT TO CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE mdt_charges CONVERT TO CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE mdt_activity CONVERT TO CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE mdt_announcements CONVERT TO CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE mdt_codes CONVERT TO CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE mdt_citizens CONVERT TO CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
ALTER TABLE mdt_vehicles CONVERT TO CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci;
```

</details>

<details>

<summary>Unkown column 'mdt_table.column' in 'field list'</summary>

If you encounter this error message, it means that the structure of the mdt table does not match what the application expects. To fix this issue, you'll need to delete the existing table and reinsert it from the provided SQL file. (`redutzu-mdt/sql/database.sql`)

</details>

<details>

<summary>attempt to index a nil value (global 'QBX')</summary>

If you encounter this error message, it means that the `QBX` global variable is not being properly initialized. This is likely due to an issue with the configuration in the `fxmanifest.lua` file.

To resolve this error, you'll need to uncomment the following lines in the `fxmanifest.lua` file:

1. Uncomment the line `'@ox_lib/init.lua'` from the `shared_scripts` section.
2. Uncomment the line `'@qbx_core/modules/playerdata.lua'` from the `client_scripts` section.

After making these changes, save the `fxmanifest.lua` file and restart the resource.

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redutzu.com/resources/redutzu-mdt/common-issues.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
